dash (0.5.12-12ubuntu2) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Wed, 03 Sep 2025 17:42:21 +0000

dash (0.5.12-12ubuntu1) plucky; urgency=medium

  * Merge with Debian Unstable. Remaining changes:
    - d/t/control:
      - restrict test case mmdebstrap to the architectures
        amd64, arm64, s390x & ppc64el (LP: #2028868, #2071464)
  * Dropped changes, included in 0.5.12-10:
    - DEP17 /usr merge:
      - debian/shells.d/dash: move files to /usr
      - d/t/smoke: add /bin/dash link tests
    - d/t/mmdebstrap: remove unused distribution parsing

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 14 Feb 2025 22:51:47 -0600

dash (0.5.12-12) unstable; urgency=medium

  [ Andrej Shadura ]
  * Add Dutch translation for debconf templates.
    Thanks to Frederik Himpe.
  * Update the Slovak debconf translation.
  * Add Ukrainian debconf template translation.
  * Add missing-debconf-dependency-for-preinst lintian override.

  [ Andika Triwidada ]
  * Add Indonesian translation for debconf templates.

  [ Alexander Golubev ]
  * Add Russian translation for debconf templates.

  [ bubu ]
  * Add French translation for debconf templates (Closes: #1093592).

  [ Hermann-Josef Beckers ]
  * Add German translation for debconf templates (Closes: #1092855).

  [ Parodper ]
  * Add Galician translation for debconf templates.

  [ Américo Monteiro ]
  * Add Portugese debconf translation (Closes: #1093888).

  [ Paulo Henrique de Lima Santana ]
  * Add Brazilian Portugese debconf translation (Closes: #1094209).

  [ Trần Ngọc Quân ]
  * Add Vietnamese debconf translation.

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 04 Feb 2025 14:14:42 +0100

dash (0.5.12-11) unstable; urgency=medium

  [ Johannes Schauer Marin Rodrigues ]
  * debian/rules: remove debconf from ${misc:Depends} (Closes: #1092494).

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 08 Jan 2025 18:07:23 +0100

dash (0.5.12-10) unstable; urgency=medium

  [ Dominik Viererbe ]
  * d/t/mmdebstrap: remove unused parsing of distribution from changelog
  * Incorporate Ubuntu DEP-17 /usr merge changes:
    [ Julian Andres Klode ]
    - debian/shells.d/dash: move files to /usr
    - debian/tests/smoke: add /bin/dash link tests

  [ Helmut Grohne ]
  * Warn the user if /bin/sh is ineffectively diverted (DEP-17)
    (Closes: #1078130)

  [ Andrej Shadura ]
  * Apply upstream patch to align test -nt and -ot with POSIX.1-2024
    (Closes: #558989)
  * Apply upstream patch to fix here-doc handling.
  * Add Belarusian and Slovak translations for debconf templates.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 03 Jan 2025 15:13:44 +0100

dash (0.5.12-9ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable (LP: #2071627). Remaining changes:
    - DEP17 /usr merge:
      - debian/shells.d/dash: move files to /usr
      - d/t/smoke: add /bin/dash link tests 
    - d/t/mmdebstrap: remove unused distribution parsing
    - d/t/control: 
      - restrict test case mmdebstrap to the architectures
        amd64, arm64, s390x & ppc64el (LP: #2028868, #2071464)
      - re-added fakeroot Depends after it was accidentially droped in
        0.5.12-6ubuntu6, causing the test to fail

 -- Dominik Viererbe <dominik.viererbe@canonical.com>  Thu, 04 Jul 2024 13:19:46 +0300

dash (0.5.12-9) unstable; urgency=medium

  [ Helmut Grohne ]
  * Move files from / to /usr to finalize /usr-merge.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 05 Jun 2024 10:08:31 +0200

dash (0.5.12-8) unstable; urgency=medium

  [ Helmut Grohne ]
  * Don't leak host CFLAGS into build compiler invocation
    (Closes: #1057339).

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 19 May 2024 14:28:56 +0200

dash (0.5.12-7) unstable; urgency=medium

  [ Andrej Shadura ]
  * Drop obsolete ash package (Closes: #920644)
  * Bump debhelper from old 12 to 13.
  * Set Rules-Requires-Root: no.
  * Bump Standards-Version to 4.6.2.
  * Upstream patch:
    - Implement pipefail option (Closes: #1071238)

  [ Luca Boccassi ]
  * Drop versioned dependencies satisfied since Buster (Closes: #1057323)

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 17 May 2024 17:12:12 +0200

dash (0.5.12-6ubuntu6) oracular; urgency=medium

  * d/t/mmdebstrap: remove unused dist parsing from changelog
  * d/t/control enable mmdebstrap test case (LP: #2028868)

 -- Dominik Viererbe <dominik.viererbe@canonical.com>  Thu, 20 Jun 2024 14:39:16 +0300

dash (0.5.12-6ubuntu5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:47:26 +0000

dash (0.5.12-6ubuntu4) noble; urgency=medium

  * Update the link targets for /usr, fixing postinst (LP: #2055146)

 -- Julian Andres Klode <juliank@ubuntu.com>  Tue, 27 Feb 2024 12:29:41 +0100

dash (0.5.12-6ubuntu3) noble; urgency=medium

  * DEP17: Fix the autopkgtest for the /usr move

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 23 Feb 2024 10:17:27 +0100

dash (0.5.12-6ubuntu2) noble; urgency=medium

  * DEP17: Move files to /usr

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 22 Feb 2024 12:14:01 +0100

dash (0.5.12-6ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable (LP: #2026730). Remaining changes:
    - d/t/control: Disable mmdebstrap autopkgtest test-case, 
                   testing only the Debian archive.

 -- Dominik Viererbe <dominik.viererbe@canonical.com>  Tue, 11 Jul 2023 12:03:53 +0300

dash (0.5.12-6) unstable; urgency=medium

  [ Johannes Schauer Marin Rodrigues ]
  * debian/tests/mmdebstrap: use copy-host-apt-sources-and-preferences hook.
     - use the hook provided by mmdebstrap instead of cooking up our own
       thing, thus preventing code duplication
     - this also copies over apt pinning rules which were missing before

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 21 Jun 2023 13:28:50 +0200

dash (0.5.12-5) unstable; urgency=medium

  [ Helmut Grohne ]
  * dash.postinst: fix installing with --path-exclude=/usr/share/man/*
    (Closes: #1038067)

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 17 Jun 2023 12:34:23 +0200

dash (0.5.12-4) unstable; urgency=medium

  * Upload to unstable.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 12 Jun 2023 16:17:05 +0200

dash (0.5.12-3) experimental; urgency=medium

  [ Andrej Shadura ]
  * Fix bug number in the patch description

  [ Helmut Grohne ]
  * dash.postinst: Remove upgrade path from pre-sarge ash. (Closes:
    #989419)
  * Remove unnecessary diversion in case /bin/sh points to dash. (Closes:
    #989632)

  [ Luca Boccassi ]
  * dash.postinst: remove unused function

 -- Andrej Shadura <andrewsh@debian.org>  Sun, 30 Apr 2023 15:53:24 +0200

dash (0.5.12-2ubuntu1) lunar; urgency=medium

  * Merge from Debian Unstable. Remaining changes:
    - Disable the mmdebstrap autopkg test, testing only the Debian archive.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 11 Feb 2023 15:09:13 -0600

dash (0.5.12-2) unstable; urgency=medium

  * Fix the changelog entry.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 05 Jan 2023 14:20:48 +0100

dash (0.5.12-1) unstable; urgency=medium

  * New upstream release (Closes: #1017531, #1024635).
  * Refresh patches.
  * Apply upstream patches for hash, ulimit and manpages
    (Closes: #558607, #819829, #975325, #975326).

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 05 Jan 2023 14:06:02 +0100

dash (0.5.11+git20210903+057cd650a4ed-9ubuntu1) lunar; urgency=medium

  * Merge with Debian; remaining changes:
    - Disable the mmdebstrap autopkg test, testing only the Debian archive.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 12 Dec 2022 09:12:49 +0100

dash (0.5.11+git20210903+057cd650a4ed-9) unstable; urgency=medium

  [ Johannes Schauer Marin Rodrigues ]
  * debian/tests/mmdebstrap: create chroot with the same apt sources as
    autopkgtest (Closes: #1016554).

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 01 Sep 2022 16:11:54 +0200

dash (0.5.11+git20210903+057cd650a4ed-8ubuntu1) kinetic; urgency=medium

  * Disable the mmdebstrap autopkg test, testing only the Debian archive.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 23 Jun 2022 12:14:04 +0200

dash (0.5.11+git20210903+057cd650a4ed-8) unstable; urgency=medium

  * Remove the remnants of the debconf shell question
    (Closes: #1007093, #1007241).

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 14 Mar 2022 15:11:00 +0100

dash (0.5.11+git20210903+057cd650a4ed-7) unstable; urgency=medium

  [ Johannes Schauer Marin Rodrigues ]
  * debian/tests/mmdebstrap: fix running on debci and add more comments.

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 05 Mar 2022 11:32:15 +0100

dash (0.5.11+git20210903+057cd650a4ed-6) unstable; urgency=medium

  [ Johannes Schauer Marin Rodrigues ]
  * debian/dash.postinst: fix missing ].
  * Add autopkgtest installing dash into a fresh chroot.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 04 Mar 2022 22:19:03 +0100

dash (0.5.11+git20210903+057cd650a4ed-5) unstable; urgency=medium

  [ Johannes Schauer Marin Rodrigues ]
  * dpkg-realpath has a /bin/sh shebang and can thus not be used when /bin/sh is temporarily not available.
  * debian/dash.postinst: restore DPKG_ROOT support.
  * debian/dash.postinst: Move check if dfile exists further up.
  * Closes: #1006771

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 04 Mar 2022 18:34:16 +0100

dash (0.5.11+git20210903+057cd650a4ed-4) unstable; urgency=medium

  [ Andrej Shadura ]
  * Stop using debconf to select the default /bin/sh.
  * Don’t use external fnmatch/glob.
  * Apply upstream patch to check executable bit when searching path
    (Closes: #874264)
  * Drop po files from debian/copyright.
  * Sort debian/copyright.
  * Update copyright years.

  [ Johannes Schauer Marin Rodrigues ]
  * Replace add-shell/remove-shell with declarative shells.d trigger
    (Closes: #1004172)
  * Allow downgrades to dash versions before it started using update-shells.
  * debian/dash.postinst: reproducible symlink mtime using symlink target
    mtime.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 03 Mar 2022 17:40:59 +0100

dash (0.5.11+git20210903+057cd650a4ed-3) unstable; urgency=medium

  * Revert "Enable libedit".
  * Revert "Re-enable LINENO support".

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 03 Nov 2021 11:51:39 +0100

dash (0.5.11+git20210903+057cd650a4ed-2) unstable; urgency=medium

  * Re-enable LINENO support (Closes: #842242)/
  * Enable libedit (Closes: #524839, #561663).

 -- Andrej Shadura <andrewsh@debian.org>  Tue, 02 Nov 2021 12:58:31 +0100

dash (0.5.11+git20210903+057cd650a4ed-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 29 Oct 2021 09:21:09 +0200

dash (0.5.11+git20210120+802ebd4-2) unstable; urgency=medium

  [ Johannes Schauer Marin Rodrigues ]
  * Support DPKG_ROOT.

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 23 Oct 2021 11:44:50 +0200

dash (0.5.11+git20210120+802ebd4-1) unstable; urgency=medium

  * New upstream snapshot.
  * Drop a patch applied upstream.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 04 Mar 2021 10:22:32 +0100

dash (0.5.11+git20200708+dd9ef66-5) unstable; urgency=medium

  * Actually set PATH_MAX for Hurd.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 10 Dec 2020 14:23:19 +0100

dash (0.5.11+git20200708+dd9ef66-4) unstable; urgency=medium

  * Define PATH_MAX=4096 on Hurd.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 10 Dec 2020 10:55:18 +0100

dash (0.5.11+git20200708+dd9ef66-3) unstable; urgency=medium

  [ Johannes 'josch' Schauer ]
  * Don’t rely on /usr/share/man/man1/ existing (Closes: #974825).

  [ Andrej Shadura ]
  * Disable libc glob support (Closes: #974900, #976685).
  * Apply upstream patch:
    - jobs: Only block in waitcmd on first run (Closes: #974705, #975010).

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 10 Dec 2020 10:07:56 +0100

dash (0.5.11+git20200708+dd9ef66-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 12 Nov 2020 08:58:00 +0100

dash (0.5.11+git20200708+dd9ef66-1) experimental; urgency=medium

  * New upstream snapshot
    (Closes: #541544, #541642, #692611, #930805).
  * Drop patches applied upstream.

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 08 Aug 2020 15:13:49 +0200

dash (0.5.10.2-7) unstable; urgency=medium

  * Provide machine-readable copyright file.
  * Use debhelper-compat instead of debian/compat.
  * Use dh 12.
  * Drop nostrip handling, it is build into dh_strip.
  * Wrap and sort Build-Depends.
  * Change the privmode long option name to privileged to match bash.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 30 Mar 2020 11:45:13 +0200

dash (0.5.10.2-6) unstable; urgency=medium

  * Apply patch from Chris Lamb:
    - dash: Fix stack overflow from infinite recursion in script
      (Closes: #579815)
  * Apply upstream patches:
    - shell: Don't include config.h for native helpers
    - system: Disable glibc warning on sigsetmask
  * Apply patches proposed upstream:
    - options: Do not set commandname in procargs
    - histedit: Fix infinite loop when using 'fc -s'
      (Closes: #928072)
  * Update the CI pipeline (thanks to Iñaki Malerba).
  * Enable hardening for helpers.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 18 Jul 2019 15:15:27 -0300

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog dash`.
